cURL
curl https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8
import requests
response = requests.get("https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"execution_id": "yt:5AVm5Ch2KA52VZoqWsbiV6hHw8Z2VniDHbofCw4EnWUJ8s7LRSTZcjwTYQ4cK5ASBc4j8xovSz8Nid9GaKguMpRv",
"vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
"product": "yt",
"is_buy": false,
"in_amount": 767872329071,
"out_amount": 2511036473,
"price": 0.0032701223601037215,
"implied_yield": 6.54692577629816,
"sy_exchange_rate": 1.08428018,
"venue": "amm",
"tx_signatures": [
"5AVm5Ch2KA52VZoqWsbiV6hHw8Z2VniDHbofCw4EnWUJ8s7LRSTZcjwTYQ4cK5ASBc4j8xovSz8Nid9GaKguMpRv"
],
"routes": [
{
"venue": "amm",
"inAmount": 767872329071,
"outAmount": 2511036473,
"syExchangeRate": 1.08428018
}
],
"trade_ts": "2026-06-01T15:30:25+00:00"
},
{
"execution_id": "yt:2ARLN85XzMyrgDWHzR6CFXpyEz1oirU812psR4SaVnvuhQWk9V9vu4btCD2sghfocKmNXFt1UwuaZ57yCNPrUMBd",
"vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
"product": "yt",
"is_buy": true,
"in_amount": 2419589263,
"out_amount": 203121363937,
"price": 0.011912037296827419,
"implied_yield": 10.017882743177159,
"sy_exchange_rate": 1.080368963,
"venue": "amm",
"tx_signatures": [
"2ARLN85XzMyrgDWHzR6CFXpyEz1oirU812psR4SaVnvuhQWk9V9vu4btCD2sghfocKmNXFt1UwuaZ57yCNPrUMBd"
],
"routes": [
{
"venue": "amm",
"inAmount": 2419589263,
"outAmount": 203121363937,
"syExchangeRate": 1.080368963
}
],
"trade_ts": "2026-05-05T16:26:01+00:00"
}
]
{
"error": "<message>"
}
Positions and activity
Wallet YT trade history
Retrieve grouped YT trade executions for a wallet.
GET
/
trades
/
user
/
yt
/
{userAddress}
cURL
curl https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8
import requests
response = requests.get("https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"execution_id": "yt:5AVm5Ch2KA52VZoqWsbiV6hHw8Z2VniDHbofCw4EnWUJ8s7LRSTZcjwTYQ4cK5ASBc4j8xovSz8Nid9GaKguMpRv",
"vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
"product": "yt",
"is_buy": false,
"in_amount": 767872329071,
"out_amount": 2511036473,
"price": 0.0032701223601037215,
"implied_yield": 6.54692577629816,
"sy_exchange_rate": 1.08428018,
"venue": "amm",
"tx_signatures": [
"5AVm5Ch2KA52VZoqWsbiV6hHw8Z2VniDHbofCw4EnWUJ8s7LRSTZcjwTYQ4cK5ASBc4j8xovSz8Nid9GaKguMpRv"
],
"routes": [
{
"venue": "amm",
"inAmount": 767872329071,
"outAmount": 2511036473,
"syExchangeRate": 1.08428018
}
],
"trade_ts": "2026-06-01T15:30:25+00:00"
},
{
"execution_id": "yt:2ARLN85XzMyrgDWHzR6CFXpyEz1oirU812psR4SaVnvuhQWk9V9vu4btCD2sghfocKmNXFt1UwuaZ57yCNPrUMBd",
"vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
"product": "yt",
"is_buy": true,
"in_amount": 2419589263,
"out_amount": 203121363937,
"price": 0.011912037296827419,
"implied_yield": 10.017882743177159,
"sy_exchange_rate": 1.080368963,
"venue": "amm",
"tx_signatures": [
"2ARLN85XzMyrgDWHzR6CFXpyEz1oirU812psR4SaVnvuhQWk9V9vu4btCD2sghfocKmNXFt1UwuaZ57yCNPrUMBd"
],
"routes": [
{
"venue": "amm",
"inAmount": 2419589263,
"outAmount": 203121363937,
"syExchangeRate": 1.080368963
}
],
"trade_ts": "2026-05-05T16:26:01+00:00"
}
]
{
"error": "<message>"
}
Path parameters
string
required
User wallet address.
Query parameters
string
Filter to one vault.
string
Filter by the exact returned venue name.
cURL
curl https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8
import requests
response = requests.get("https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/trades/user/yt/HmzCnQBzSFW4THri7t9f9tcVBHXT7fuw4iczfPKMwEL8");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
[
{
"execution_id": "yt:5AVm5Ch2KA52VZoqWsbiV6hHw8Z2VniDHbofCw4EnWUJ8s7LRSTZcjwTYQ4cK5ASBc4j8xovSz8Nid9GaKguMpRv",
"vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
"product": "yt",
"is_buy": false,
"in_amount": 767872329071,
"out_amount": 2511036473,
"price": 0.0032701223601037215,
"implied_yield": 6.54692577629816,
"sy_exchange_rate": 1.08428018,
"venue": "amm",
"tx_signatures": [
"5AVm5Ch2KA52VZoqWsbiV6hHw8Z2VniDHbofCw4EnWUJ8s7LRSTZcjwTYQ4cK5ASBc4j8xovSz8Nid9GaKguMpRv"
],
"routes": [
{
"venue": "amm",
"inAmount": 767872329071,
"outAmount": 2511036473,
"syExchangeRate": 1.08428018
}
],
"trade_ts": "2026-06-01T15:30:25+00:00"
},
{
"execution_id": "yt:2ARLN85XzMyrgDWHzR6CFXpyEz1oirU812psR4SaVnvuhQWk9V9vu4btCD2sghfocKmNXFt1UwuaZ57yCNPrUMBd",
"vault_address": "78MLjMXyKyjwXtHXCuZHnBUH5wMh89KwBpvoFvcBzxN1",
"product": "yt",
"is_buy": true,
"in_amount": 2419589263,
"out_amount": 203121363937,
"price": 0.011912037296827419,
"implied_yield": 10.017882743177159,
"sy_exchange_rate": 1.080368963,
"venue": "amm",
"tx_signatures": [
"2ARLN85XzMyrgDWHzR6CFXpyEz1oirU812psR4SaVnvuhQWk9V9vu4btCD2sghfocKmNXFt1UwuaZ57yCNPrUMBd"
],
"routes": [
{
"venue": "amm",
"inAmount": 2419589263,
"outAmount": 203121363937,
"syExchangeRate": 1.080368963
}
],
"trade_ts": "2026-05-05T16:26:01+00:00"
}
]
{
"error": "<message>"
}